Operating System - OpenVMS
cancel
Showing results for 
Search instead for 
Did you mean: 

UCX Version Upgradation from 5.0A to 5.0A-ECO2

 
Anjan Ganguly
Frequent Advisor

UCX Version Upgradation from 5.0A to 5.0A-ECO2

I want to upgrate the existing UCX from V5.0A to V5.0A-EC02.I am having Open VMS Verion 7.2-1 installed in Alpha DS-10 Server.I have searched a lot in the net but unable to find any site that can give me an idea of installing this V5.0A ECO2 version.

Can any one guide me from where can I get the UCX V5.0A-ECO2 and procedure to upgared my existing version V5.0A with V5.0A-ECO2.

Anjan Ganguly
12 REPLIES 12

Re: UCX Version Upgradation from 5.0A to 5.0A-ECO2

Hi Anjan,

OpenVMS V7.2-1 patches can be found in the "patch database" section of ITRC. However, since V7.2-1 is currently out of support, only the latest patches are available. The last patch for UCX/TCPIP is "Compaq TCP/IP Services for OpenVMS Alpha 5.1 ECO 5". You can upgrade to this kit by downloading the same from http://www13.itrc.hp.com/service/patch/patchDetail.do?patchid=ALP_TCPIP_ECO-V0501-155&sel={openvms:alpha:7.2-1,}&BC=main|search|

Best Regards,
Sandeep
Shriniketan Bhagwat
Trusted Contributor

Re: UCX Version Upgradation from 5.0A to 5.0A-ECO2

Hi Anjan,

Welcome to ITRC Forum.
Below is the link where can get the officially released OpenVMS ECO kits.
http://www13.itrc.hp.com/service/patch/search.do?BC=main|&pageOsid=openvms

Regards,
Ketan
Steven Schweda
Honored Contributor

Re: UCX Version Upgradation from 5.0A to 5.0A-ECO2

> I want to upgrate the existing UCX from
> V5.0A to V5.0A-EC02. [...]

Why that particular ECO? I can find what
looks like ECO 3:

ftp://ftp.itrc.hp.com/openvms_patches/archived_patches/axp/7.X/v7.1/tcpip/5.0a/

but I'd look around to see if some newer
TCPIP version is compatible with this VMS
version, and then use the latest compatible
version (and ECO) which I could find.

> I have searched a lot in the net [...]

That's a big place.

> [...] procedure [...]

Read the documentation? I'd guess:

PRODUCT INSTALL
Steven Schweda
Honored Contributor

Re: UCX Version Upgradation from 5.0A to 5.0A-ECO2

> [...] "Compaq TCP/IP Services for OpenVMS
> Alpha 5.1 ECO 5". [...]

Also at:

ftp://ftp.itrc.hp.com/openvms_patches/archived_patches/axp/7.X/v7.1/tcpip/5.1/

where the README does say:

[...]
Kit Applies To: Compaq TCP/IP Services for OpenVMS V5.1
OpenVMS Alpha V7.1, V7.1-1H1, V7.1-1H2, V7.2,
V7.2-1, V7.2-1H1, V7.2-1H2, V7.2-2
and V7.3
[...]


If this ECO is not a full kit, then you
might have trouble applying a V5.1 ECO to a
V5.0A installation, but I'd expect the
installer to complain before you could do any
real damage. (Many TCPIP ECOs are really
full kits, not only patches.)
Shriniketan Bhagwat
Trusted Contributor

Re: UCX Version Upgradation from 5.0A to 5.0A-ECO2

Hi Anjan,

Belo link explains how to install and configure the DIGITAL TCP/IP for OpenVMS (UCX) layered application product and the programmerâ s guide. May be helpful.

http://h30266.www3.hp.com/odl/vax/network/tcpipv42/install/6524pro.html
http://www.process.com/tcpip/tcpware58docs/html/programmer/ch02.htm


Regards,
Ketan
Anjan Ganguly
Frequent Advisor

Re: UCX Version Upgradation from 5.0A to 5.0A-ECO2

Thanks for the reply.But still I am not able to find any patches that matches the perticular UCX version.
P Muralidhar Kini
Honored Contributor

Re: UCX Version Upgradation from 5.0A to 5.0A-ECO2

Hi Anjan,

>> I want to upgrate the existing UCX from V5.0A to V5.0A-EC02
Any particular reason you want to upgrade specifically to V5.0A-EC02 patch
and not a latest version?

You are using the OpenVMS V7.2-1 version. You can upgrade directly to the
latest UCX patch available on that version. Its always recommended to upgrade
ato the latest patch version.

The link provided by Sandeep and Steven should help you in this regard.

Regards,
Murali
Let There Be Rock - AC/DC
abrsvc
Respected Contributor

Re: UCX Version Upgradation from 5.0A to 5.0A-ECO2

I might have the kit on the software product library CDs, but I too would question why restricting the upgrade to a particular patch level. I would recommend the installation be OpenVMS V7.3-2 and TCPIP V5.3

I'll check on the kit and update this.

Dan
Andy Bustamante
Honored Contributor

Re: UCX Version Upgradation from 5.0A to 5.0A-ECO2

With version 5.0, the UCX product was renamed to TCPIP Services. To preserver backward compatibility, the UCX command continues to function. Strictly speaking there is no UCX 5.0a, the product is TCPIP 5.0a.

With 5.0a installed, you only need to patch to the last ECO,

$ product install TCPIP_ECO

with the optional /source=

These kits generally require a reboot, if TCPIP was started. Check the release notes.

There is an ECO3 available. You don't need to install TCPIP ECOs sequentially, just load the latest kit. See the archived patches at ftp.itrc.hp.com. Documenation for installation is also available here.

With VMS 7.2-1, you can also upgrade to TCPIP 5.1. That said, the later ECOs for 5.1 are not documented for support on 7.2-1. Once this version of VMS went out of support, the ECOs were only qualified on currently supported releases of the operating system. In other words, you can upgrade to TCPIP 5.1, but you can't load the latest patches. That may or may not be an issue.

TCPIP 5.0x and 5.1 had some serious connectivity issues corrected in the ECOs.

Do you really need to be running an unsupported operating system release with a TCPIP stack that is no longer being patched? There are some serious performance and security improvements in later releases. Consider migration to VMS 7.3-2 which ships with TCPIP 5.3.

If you don't have time to do it right, when will you have time to do it over? Reach me at first_name + "." + last_name at sysmanager net
Hoff
Honored Contributor

Re: UCX Version Upgradation from 5.0A to 5.0A-ECO2

Best I can find is V5.0A ECO3.

$ dir/ftp/anon ftp.itrc.hp.com::"/openvms_patches/archived_patches/axp/7.X/v7.1-2/tcpip/5.0a"

Directory FTP.ITRC.HP.COM::


/openvms_patches/archived_patches/axp/7.X/v7.1-2/tcpip/5.0a/dec-axpvms-tcpip_eco-v0500-113-4.CHKSUM

/openvms_patches/archived_patches/axp/7.X/v7.1-2/tcpip/5.0a/dec-axpvms-tcpip_eco-v0500-113-4.README

/openvms_patches/archived_patches/axp/7.X/v7.1-2/tcpip/5.0a/tcpipalp_e03a50.CHKSUM

/openvms_patches/archived_patches/axp/7.X/v7.1-2/tcpip/5.0a/tcpipalp_e03a50.README

/openvms_patches/archived_patches/axp/7.X/v7.1-2/tcpip/5.0a/dec-axpvms-tcpip_eco-v0500-113-4.pcsi-dcx_axpexe

/openvms_patches/archived_patches/axp/7.X/v7.1-2/tcpip/5.0a/tcpipalp_e03a50.CVRLET_TXT
Anjan Ganguly
Frequent Advisor

Re: UCX Version Upgradation from 5.0A to 5.0A-ECO2

Ultimately I am able to upgrade the UCX version upto V 5.0A to 5.0A-ECO3.

The patch can be found in his link.

ftp://ftp.itrc.hp.com/openvms_patches/archived_patches/axp/7.X/v7.1/tcpip/5.1/

THE PROCEDURE IS AS FOLLOWS.

1) Download the patch from the following links.

ftp://ftp.itrc.hp.com/openvms_patches/archived_patches/axp/7.X/v7.1/tcpip/5.1/

After downloading you will get a file named dec-axpvms-tcpip_eco-v0500-113-4 of 13.5 MB.

2) Copy it to the VMS machine in your directory. Do a binary transfer while copying this from windows machine to VMS machine.

3) Rename the patch dec-axpvms-tcpip_eco-v0500-113-4 with dec-axpvms-tcpip_eco-v0500-113-4.PCSI-DCX_AXPEXE

4) Then run the file from the location where you have copied the same.

>> RUN dec-axpvms-tcpip_eco-v0500-113-4.PCSI-DCX_AXPEXE

5) This will decompress the file in the directory where you have copied the file through ftp.

6) The type the following command.

>>PRODUCT INSTALL *TCPIP*

It will ask for some option that are interactive.Complete the options as per you requirement.

7) Restart the Machine.

8) Go to TCPIP prompt by typing UCX in the decterm.

9) Type

>>SHOW VERS

Here you should get a version named UCX V5.0A- ECO3

Thanks to all of you for all your help.
Anjan Ganguly
Frequent Advisor

Re: UCX Version Upgradation from 5.0A to 5.0A-ECO2

I have posted the procedure to upgrade the same after successfully test it on the Sopen VMS 7.2-1 version on alpha server.Please refer this in my reply.